<?php
/*----------------------------------------------+
| TI BLOG SYSTEM                               	|
|-----------------------------------------------|
| File version: 1.51a 							|
|-----------------------------------------------|
| Author: Martin Mrtensson (Marwelln/Elactos) 	|
| Web: http://www.team-impact.nu               	|
| Email: Marwelln@gmail.com                    	|
|-----------------------------------------------|
| Released under the AGPL license				|
| Please refer to the included agpl.txt for 	|
| more information								|
+----------------------------------------------*/
$ti_blog_settings = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system_settings"));
if ($settings['version'] >= 7) {
	$counter = dbcount("(blog_id)", DB_PREFIX."ti_blog_system");
	$prfx = DB_PREFIX;
} else {
	$counter = dbcount("(blog_id)", "ti_blog_system");
	$prfx = "";
}

// Gets amount of blogs
function ti_blog_return_blogs() {
global $rowstart, $locale, $counter, $ti_blog_settings, $prfx, $settings;
$result = dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system ORDER BY blog_id DESC LIMIT $rowstart,".$ti_blog_settings['blog_limit']);
	if (dbrows($result)) {
		$res = "";
		while ($data = dbarray($result)) {
		$author = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."users WHERE user_id='".$data['blog_writer']."'"));
		$res .= "<a href='".BASEDIR."blog.php?page=blog_id&amp;id=".$data['blog_id']."'>".$data['blog_subject']."</a> (".showdate("shortdate", $data['blog_date']).") - ".$locale['TIBLBL007']." "; 
		$res .= ($author['user_name'] ? "<a href='blog.php?page=bloguser&amp;id=".$data['blog_writer']."'>".$author['user_name']."</a>" : "<a href='blog.php?page=bloguser&amp;id=".$data['blog_writer']."'>".$locale['TIBLBL009']."</a>");
		$res .= "<br />";
		}
	} else {
		$res = $locale['TIBLBL001'];
	}
	print ($res);
	if ($counter > $ti_blog_settings['blog_limit']) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$ti_blog_settings['blog_limit'],$counter,3)."</div>";
}

// Inputform
function ti_blog_inputform($type) {
global $locale, $userdata, $blog_text, $blog_subject, $prfx, $settings;
?>
	<form name='inputform' method='post' action='' onSubmit='return ValidateForm(this);'>
    <table cellpadding='0' cellspacing='1' width='90%' class='center tbl-border'><tr>
    	<td class='tbl2'><?php echo ($type == "c" ? $locale['TIBLCB003'] : $locale['TIBLEB003']); ?></td>
        <td class='tbl1'>
        <input type='hidden' name='blog_writer' value='<?php echo $userdata['user_id']; ?>' class='textbox' />
        <?php
        if (iGUEST)	echo $locale['bs_cbanonymous'];
        else echo $userdata['user_name']; 
        ?>
    	</td>
    </tr><tr>
    	<td class='tbl2'><?php echo ($type == "c" ? $locale['TIBLCB004'] : $locale['TIBLEB004']); ?></td>
        <td class='tbl1'><input type='text' name='blog_subject' value='<?php echo $blog_subject; ?>' class='textbox' style='width: 250px' /></td>
    </tr><tr>
    	<td valign='top' class='tbl2'><?php echo ($type == "c" ? $locale['TIBLCB005'] : $locale['TIBLEB005']); ?></td>
        <td class='tbl1'><textarea name='blog_text' class='textbox' cols='68' rows='12'><?php echo $blog_text; ?></textarea></td>
    </tr><tr>
    	<td class="tbl2"></td>
        <td class="tbl1" style="text-align:center;">
		<?php echo ($settings['version'] >= 7 ? display_bbcodes("100%", "blog_text") : ti_blog_bbcodes()); ?>
        </td>
    </tr>
    <?php 
		echo ($type == 'e' ? "<tr>
    	<td class='tbl2'>".$locale['TIBLEB009'].":</td>
		<td class='tbl1'><input type='checkbox' name='delete' value='1' /></td>
		</tr>" : "");
	?>
	</table>
    <div style="text-align:center; margin-top:5px;">
    <?php
		if (iGUEST && $type == 'c') {
		echo make_Captcha()."<br />
		<input type='text' name='captcha_code' class='textbox' style='width:100px' /><br /><br />";
		}
	?>
        <input type='submit' name='preview' value='<?php echo ($type == "c" ? $locale['TIBLCB011'] : $locale['TIBLEB011']); ?>' class='button' />
        <input type='submit' name='<?php echo ($type == "c" ? "save" : "edit"); ?>' value='<?php echo ($type == "c" ? $locale['TIBLCB006'] : $locale['TIBLEB006']); ?>' class='button' />
	</div>
	</form> 
<?php
}

// Posts new blogs
function ti_blog_newblog() {
global $blog_write, $blog_subject, $blog_text, $locale, $prfx, $settings;
	$date_now = time();
	if (isset($_POST['save'])) {
		if (iGUEST && !check_captcha($_POST['captcha_encode'], $_POST['captcha_code']))
			$fail = 1;
		else
			$fail = 0;
		$blog_writer = stripinput($_POST['blog_writer']);
		$blog_subject = stripinput($_POST['blog_subject']);
		$blog_text = stripinput($_POST['blog_text']);
		if ($fail == 0) {
		$result = dbquery("INSERT INTO ".DB_PREFIX."ti_blog_system (blog_writer, blog_subject, blog_text, blog_date, blog_ip) VALUES ('$blog_writer', '$blog_subject', '$blog_text', '$date_now', '".USER_IP."')");
		redirect(BASEDIR."blog.php?page=types&type=c");
		} else {
			opentable($locale['410']);
				echo $locale['410'];
			closetable();
		}
	} else if (isset($_POST['preview'])) {
		$blog_writer = stripinput($_POST['blog_writer']);
		$blog_subject = stripinput($_POST['blog_subject']);
		$blog_text = stripinput($_POST['blog_text']);	
		opentable($blog_subject);
		echo parsesmileys(parseubb(nl2br($blog_text)));
		closetable();
	}
}

// Renders blog.php
function ti_blog_bloglist() {
global $locale, $counter, $userdata, $aidlink, $ti_blog_settings, $prfx, $settings;
opentable($locale['TIBLBL002']);
	?>
<div>
    	<div style="float:right;">
        <?php 
		$accarr = array("0", "101", "102", "103");
		if (iMEMBER && !in_array($ti_blog_settings['blog_access'], $accarr)) {
			$expl = explode(".", $userdata['user_groups']);
			$check = in_array($ti_blog_settings['blog_access'], $expl);
		} else {
			 $check = $userdata['user_level'] >= $ti_blog_settings['blog_access'];
		}
		
			if ($check) 
				echo "".$locale['TIBLBL004']." <a href='".BASEDIR."blog.php?page=createblog'>".$locale['TIBLBL005']."</a> ";
			if (iADMIN && checkRights("BS") || iSUPERADMIN) 
				echo "&nbsp;&nbsp;&nbsp; <a href='".INFUSIONS."ti_blog_system/blog_admin.php$aidlink'>".$locale['TIBLBL008']."</a>";
		?>
        </div>
    	<?php echo $locale['TIBLBL003']." ".$counter; ?>
<hr />
    </div>
    <div style="padding:5px 0 5px 0;">
    	<?php ti_blog_return_blogs(); ?>
    </div>
    <hr />
    &raquo; <a href='blog.php?page=search'><?php echo $locale['TIBLBL010']; ?></a>
    <?php
closetable();
}

// Renders createblog.php
function ti_blog_createblog() {
global $locale, $userdata, $ti_blog_settings, $blog_write, $blog_subject, $blog_text, $prfx, $settings;
	if($userdata['user_level'] >= $ti_blog_settings['blog_access']) {
	ti_blog_newblog();
	opentable($locale['TIBLCB007']);
	ti_blog_inputform("c");
	closetable();
	} else {
	opentable($locale['TIBLCB008']);
		echo "".$locale['TIBLCB009']."<br /><br />&raquo; <a href='".BASEDIR."blog.php'>".$locale['TIBLCB010']."</a>";
	closetable();
	}
}

// Renders blog_id.php
function ti_blog_blogid($id) {
global $locale, $userdata, $prfx, $settings;
$tiblog = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system bs 
LEFT JOIN ".DB_PREFIX."users bu ON bs.blog_writer=bu.user_id WHERE blog_id='$id'"));
if (!$tiblog['blog_id']) header("Location: blog.php");
$tinewview = dbquery("UPDATE ".DB_PREFIX."ti_blog_system SET blog_views=blog_views+1 WHERE blog_id='$id'");
	opentable($tiblog['blog_subject']);
	?>
    <div>
    	<div style="float:right;">
		<?php 
		echo $locale['100bs_biviews']." ".$tiblog['blog_views']." - ".$locale['TIBLBI001'].""; 
		if ($tiblog['user_name']) 
			echo " <a href='blog.php?page=bloguser&amp;id=".$tiblog['blog_writer']."'>".$tiblog['user_name']."</a>"; 
		else 
			echo " ".$locale['TIBLBI006']."";
		echo " - ".showdate("longdate", $tiblog['blog_date']); 
		?>
	</div>
    <?php
	if (iMEMBER && $userdata['user_id'] == $tiblog['blog_writer'] || iSUPERADMIN)
		echo "".$locale['TIBLBI003']." <a href='".BASEDIR."blog.php?page=editblog&amp;id=".$tiblog['blog_id']."'>".$locale['TIBLBI002']."</a>";
	else 
		echo "&nbsp;";
	?>
    <hr />
    <?php
	if ($tiblog['user_avatar']) {
		echo "<div id='bild' align='right' style='margin:5px; width:100px; float:right;'>
		<a href='".BASEDIR."profile.php?lookup=".$tiblog['blog_writer']."'><img src='images/avatars/".$tiblog['user_avatar']."' /></a>
		<center><a href='".BASEDIR."profile.php?lookup=".$tiblog['blog_writer']."'>".$tiblog['user_name']."</a></center></div>";
	}
	echo parsesmileys(parseubb(nl2br($tiblog['blog_text'])));
	?>
		<div style='clear:both;'></div>
    </div>
    <?php
	closetable();
	include INCLUDES."comments_include.php";
	showcomments("BS",$prfx."ti_blog_system","blog_id",$_GET['id'],FUSION_SELF."?page=blog_id&id=".$_GET['id']);
}

// Renders bloguser.php
function ti_blog_bloguser($id) {
global $ti_blog_settings, $locale, $userdata, $prfx, $settings;
if (isset($_GET['rowstart'])) $rowstart = $_GET['rowstart']; 
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

	$bloggas = $ti_blog_settings['blog_userlimit'];
	$rows = dbcount("(blog_id)", $prfx."ti_blog_system", "blog_writer='$id'");
	$result = dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system bs 
	LEFT JOIN ".DB_PREFIX."users bu ON bs.blog_writer=bu.user_id 
	WHERE blog_writer='$id' ORDER BY blog_date DESC LIMIT $rowstart,$bloggas");
	if (dbrows($result)) {
	$i = 0;
		while ($data = dbarray($result)) {
		$i++;
		if ($i == 1) {
			if ($settings['version'] >= 7) add_to_title(" - ".$locale['TIBLBU002']." ".($data['user_name'] ? $data['user_name'] : $locale['TIBLBU003']));
			opentable(($data['blog_writer'] == 0 ? $locale['TIBLBU003'] : $data['user_name']));
			echo "<div style='float:right;'><a href='blog.php?page=createblog'>".(iMEMBER && isset($_GET['id']) && $userdata['user_id'] == $_GET['id'] ? $locale['TIBLBL005'] : "")."</a></div>";
			echo $locale['TIBLBU002']."<br />";
			$result2 = dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system bs
			LEFT JOIN ".DB_PREFIX."users bu ON bs.blog_writer=bu.user_id 
			WHERE blog_writer='$id' ORDER BY blog_date DESC LIMIT $rowstart,$bloggas");
			while ($data2 = dbarray($result2)) {
			$cmts = dbcount("(comment_id)", $prfx."comments", "comment_type='BS' AND comment_item_id='".$data2['blog_id']."'");
				echo '<div style="float:right;">'.date("M, d -y H:i", $data2['blog_date']).'</div>';
				echo "&nbsp;<a href='#blog".$data2['blog_id']."'>".$data2['blog_subject']."</a> ($cmts)<br />";
			}
			echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$bloggas,$rows,3,FUSION_SELF."?page=bloguser&amp;id=$id&amp;")."</div>";
			closetable();
		}
		$cmts = dbcount("(comment_id)", $prfx."comments", "comment_type='BS' AND comment_item_id='".$data['blog_id']."'");
			echo "<a name='blog".$data['blog_id']."'></a>";
			opentable($data['blog_subject']);
			echo parsesmileys(parseubb(nl2br($data['blog_text'])));
			echo '<div align="right"><a href="blog.php?page=blog_id&amp;id='.$data['blog_id'].'">'.$locale['TIBLBU004'].'</a> ('.$cmts.')</div>';
			closetable();
			echo '<br />';
		}
		if ($rows > $bloggas) {
		opentable("");
		echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$bloggas,$rows,3,FUSION_SELF."?page=bloguser&amp;id=$id&amp;")."</div>";
		closetable();
		}
	} else {
		if ($settings['version'] >= 7) add_to_title(" - ".$locale['TIBLBU002']." ".$locale['TIBLBU003']);
		opentable($locale['TIBLBU001']);
		echo $locale['TIBLBU001'];
		closetable();
	}
}

// Edit blogs
function ti_blog_editblog($id) {
global $locale, $blog_text, $blog_subject, $prfx, $settings;
	if (isset($_POST['edit'])) {
		$blog_subject = stripinput($_POST['blog_subject']);
		$blog_text = stripinput($_POST['blog_text']);
		if ($_POST['delete'] == 1) {
			$result = dbquery("DELETE FROM ".DB_PREFIX."ti_blog_system WHERE blog_id='$id'");
			header("Location: blog.php?page=types&type=d");
		} else {
			$result = dbquery("UPDATE ".DB_PREFIX."ti_blog_system SET blog_subject='$blog_subject', blog_text='$blog_text' WHERE blog_id='$id'");
			header("Location: blog.php?page=types&type=e&id=$id");
		}
	} else if (isset($_POST['preview'])) {
		$blog_subject = stripinput($_POST['blog_subject']);
		$blog_text = stripinput($_POST['blog_text']);
		opentable($blog_subject);
		echo parsesmileys(parseubb(nl2br($blog_text)));
		closetable();
	} else {
		$data = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system WHERE blog_id='$id'"));
		$blog_subject = $data['blog_subject'];
		$blog_text = $data['blog_text'];
	}
	if ($settings['version'] >= 7) add_to_title(" - ".$locale['TIBLEB007'].": ".$blog_subject);
	opentable($locale['TIBLEB007'].": ".$blog_subject);
	ti_blog_inputform("e");
	closetable();
}

// Renders search.php
function ti_blog_searchblogs() {
global $locale, $ti_blog_settings, $rowstart, $prfx, $settings;
if (isset($_GET['query'])) $query = stripinput($_GET['query']);
else $query = "";
if (isset($_GET['type'])) $type = $_GET['type'];
$rows = dbcount("(blog_id)", $prfx."ti_blog_system", "blog_subject LIKE '%$query%'");
if (isset($_POST['search'])) {
	$query = stripinput($_POST['query']);
	if (strlen($query) < 3) 
		header("Location: ".FUSION_SELF."?page=search&error");
	else
		header("Location: ".FUSION_SELF."?page=search&type=".$_POST['type']."&query=".stripinput($_POST['query']));
}
opentable($locale['TIBLSF002']);
	echo "<div style='text-align:center;'>";
	echo $locale['TIBLSF003'];
	echo "<form name='searchform' method='post' action=''>
		 	<br /><input type='text' name='query' value='$query' class='textbox' style='width:200px' />
			<select name='type' class='textbox'>
				<option value='1' ".(isset($type) && $type != 2 ? "selected='selected'" : "").">".$locale['TIBLSF004']."</option>
				<option value='2' ".(isset($type) && $type == 2 ? "selected='selected'" : "").">".$locale['TIBLSF007']."</option>
			</select>
			<input type='submit' name='search' value='".$locale['TIBLSF001']."' class='button' />
		  </form>";
	if (isset($_GET['query']) && $settings['version'] >= 7) 
		echo $rows." ".($rows == 1 ? $locale['TIBLSF006'] : $locale['TIBLSF005'])." ".$locale['522'];
	else if (isset($_GET['error']) && $settings['version'] >= 7)
		echo $locale['501'];
	echo "</div>";
	if (isset($_GET['query'])) {
	if ($_GET['type'] == 2) $ti_search_what = "blog_text";
	else $ti_search_what = "blog_subject";
	$result = dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system WHERE $ti_search_what LIKE '%$query%' ORDER BY blog_subject LIMIT $rowstart,".$ti_blog_settings['blog_limit']);
		while ($data = dbarray($result)) {
			echo "<a href='blog.php?page=blog_id&id=".$data['blog_id']."'>".$data['blog_subject']."</a><br>\n";
		}
	}
	if ($rows > $ti_blog_settings['blog_limit'] && !isset($_GET['error']) && isset($_GET['type'])) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,FUSION_SELF."?page=search&type=$type&query=$query&amp;")."\n</div>\n";
closetable();
}

// BBCodes for PHP-Fusion v6
function ti_blog_bbcodes() {
echo "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('blog_text', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('blog_text', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('blog_text', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('blog_text', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('blog_text', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('blog_text', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('blog_text', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('blog_text', '[small]', '[/small]');\">
<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('blog_text', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('blog_text', '[quote]', '[/quote]');\">
<select name='bbcolor' class='textbox' style='width:90px;' onChange=\"addText('blog_text', '[color=' + this.options[this.selectedIndex].value + ']', '[/color]');this.selectedIndex=0;\">
<option value=''>Default</option>
<option value='maroon' style='color:maroon;'>Maroon</option>
<option value='red' style='color:red;'>Red</option>
<option value='orange' style='color:orange;'>Orange</option>
<option value='brown' style='color:brown;'>Brown</option>
<option value='yellow' style='color:yellow;'>Yellow</option>
<option value='green' style='color:green;'>Green</option>
<option value='lime' style='color:lime;'>Lime</option>
<option value='olive' style='color:olive;'>Olive</option>
<option value='cyan' style='color:cyan;'>Cyan</option>
<option value='blue' style='color:blue;'>Blue</option>
<option value='navy' style='color:navy;'>Navy Blue</option>
<option value='purple' style='color:purple;'>Purple</option>
<option value='violet' style='color:violet;'>Violet</option>
<option value='black' style='color:black;'>Black</option>
<option value='gray' style='color:gray;'>Gray</option>
<option value='silver' style='color:silver;'>Silver</option>
<option value='white' style='color:white;'>White</option>
</select>";
}
?>