<?php
/*--------------------------------------------++---------------------------------------------+
| PHP-Fusion 6 - Content Management System    || BLOG SYSTEM                                 |
|---------------------------------------------||---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 || author: Martin (Elactos)  2007-2008        |
| web: http://www.php-fusion.co.uk            || web: http://engine.redward.org              |
| email: nick@php-fusion.co.uk                || email: Elactos@gmail.com                    |
|---------------------------------------------||---------------------------------------------|
| Released under the terms and conditions of  || Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  || the GNU General Public License (Version 2)  |
+---------------------------------------------++--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location:../../index.php"); exit; }

// Infusion Information
$inf_title = "TI - Blog System";
$inf_description = "Blog System for PHP-Fusion";
$inf_version = "1.51";
$inf_developer = "Marwelln";
$inf_email = "Marwelln@gmail.com";
$inf_weburl = "http://engine.redward.org";

$inf_folder = "ti_blog_system";
$inf_admin_image = "news.gif";
$inf_admin_panel = "blog_admin.php";
$inf_link_name = "";
$inf_link_url = "";
$inf_link_visibility = "";

$inf_newtables = 2;
$inf_insertdbrows = 1;
$inf_altertables = 0;
$inf_deldbrows = 0;

if (isset($_POST['infuse']) && isset($_POST['infusion']) && $_POST['infusion']=='ti_blog_system') {
	$blog_result = dbquery("SELECT * FROM ".$db_prefix."admin WHERE admin_rights='BS' AND admin_title='Blog Admin'");
	if (dbrows($blog_result)==0) 
		$blog_result2 = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('BS', 'news.gif', 'Blog Admin', '../infusions/ti_blog_system/blog_admin.php', '1')");
	dbquery("ALTER TABLE ".$db_prefix."ti_blog_system_settings ADD blog_userlimit int(10) UNSIGNED NOT NULL default '10'");
	dbquery("ALTER TABLE ".$db_prefix."ti_blog_system_settings ADD version varchar(10) UNSIGNED NOT NULL default '$inf_version'");
	dbquery("ALTER TABLE ".DB_PREFIX."ti_blog_system ADD blog_ip varchar(20) NOT NULL default '0.0.0.0'");
	dbquery("UPDATE ".$db_prefix."ti_blog_system_settings SET version='$inf_version'");
	dbquery("ALTER TABLE ".$db_prefix."ti_blog_system ADD blog_views int(11) UNSIGNED NOT NULL default '0'");
	dbquery("ALTER TABLE ".DB_PREFIX."ti_blog_system_settings CHANGE version version varchar(10) default '$inf_version'");
	dbquery("ALTER TABLE ".DB_PREFIX."comments CHANGE comment_type comment_type char(2) NOT NULL");
} else if (isset($defuse)) {
	$result = dbquery("SELECT * FROM ".$db_prefix."infusions WHERE inf_id='$defuse'");
	$data = dbarray($result);
	if ($data['inf_folder']=="ti_blog_system") {
		$blog_result = dbquery("DELETE FROM ".$db_prefix."admin WHERE admin_rights='BS' AND admin_title='Blog Admin'");
		$removeComments = dbquery("DELETE FROM ".DB_PREFIX."comments WHERE comment_type='BS'");
	}
}

$inf_altertable_[1] = "";

$inf_newtable_[1] = "ti_blog_system (
  blog_id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  blog_date int(11) NOT NULL default '0',
  blog_writer smallint(5) NOT NULL default '0',
  blog_subject varchar(200) NOT NULL default '',
  blog_text text NOT NULL default '',
  blog_views int(11) UNSIGNED NOT NULL default '0',
  blog_ip varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (blog_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "ti_blog_system_settings (
  id smallint(6) NOT NULL auto_increment,
  blog_limit int(11) NOT NULL default '20',
  blog_access varchar(30) NOT NULL default '101',
  blog_write varchar(30) NOT NULL default '101',
  blog_userlimit int(10) UNSIGNED NOT NULL default '10',
  version varchar(10) NOT NULL default '$inf_version',
  PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "ti_blog_system_settings VALUES ('1', '20', '101', '101', '10', '$inf_version')";

$inf_droptable_[1] = "ti_blog_system";
$inf_droptable_[2] = "ti_blog_system_settings";

$inf_deldbrow_[1] = "";
?>