<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_blog_include.php
| Author: Marwelln
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$dateformat = "d M Y H:i";
$limit = 5;
$trim = 40;
$width = 400;

if ($profile_method == "input") {
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['uf_blog_show'].":</td>\n";
	echo "<td class='tbl'>
		 <select name='user_blog' class='textbox'>
			<option value='1' ".(isset($user_data['user_blog']) && $user_data['user_blog'] == 1 ? "selected='selected'" : "").">Yes</option>
			<option value='0' ".(isset($user_data['user_blog']) && $user_data['user_blog'] == 0 ? "selected='selected'" : "").">No</option>
		 </select>\n";
	echo "</tr>\n";
} elseif ($profile_method == "display") {
	if ($user_data['user_blog']) {
		echo "<tr>\n";
		echo "<td width='$width' class='tbl1' colspan='2' style='white-space:nowrap'>".$locale['uf_blog_list'];
		
		$r = dbquery("SELECT * FROM ".DB_PREFIX."ti_blog_system WHERE blog_writer='".$user_data['user_id']."' ORDER BY blog_date DESC LIMIT $limit");
		if (dbrows($r)) {
			while ($d = dbarray($r))
				echo "<div style='padding-left:20px;'>".date($dateformat, $d['blog_date'])." :: <a href='blog.php?page=blog_id&amp;id=".$d['blog_id']."' title='".$d['blog_subject']."'>".(trimlink($d['blog_subject'], $trim))."</a></div>";
		} else 
			echo "<div style='padding-left:20px;'>".$locale['uf_blog_noblogs']."</div>";
		
		echo "</td>\n</tr>\n";
	}
} elseif ($profile_method == "validate_insert") {
	$db_fields .= ", user_blog";
	$db_values .= ", '".(isset($_POST['user_blog']) && ctype_digit($_POST['user_blog']) ? $_POST['user_blog'] : "0")."'";
} elseif ($profile_method == "validate_update") {
	$db_values .= ", user_blog='".(isset($_POST['user_blog']) && ctype_digit($_POST['user_blog']) ? $_POST['user_blog'] : "0")."'";
}
?>